<?php


date_default_timezone_set("Asia/Karachi");

include('../inc/dbobjx.php');
include dirname(__FILE__) . '../../sqlconfig.php';

$runQuery = new dbObj;
$magentolink = MAG_API_URL;

echo $qry = "SELECT
	CAST( datatime AS CHAR ) AS datatime,
	ordercode,
	STATUS,
	status_text,
	magento_orderno,
	( SELECT customer_order_id FROM customer_order WHERE customer_order_number = ordercode LIMIT 0, 1 ) AS cnno,
	(
	SELECT
		count( * ) AS cnt 
	FROM
		customer_order_status c1 
	WHERE
		c1.STATUS = 'N' 
		AND c1.send_to_magento = '0' 
		AND magento_orderno != '' 
		AND c1.ordercode = customer_order_status.ordercode 
	) AS cnt,
	send_to_magento 
FROM
	customer_order_status 
WHERE
	STATUS = 'OPK' 
	AND send_to_magento = '0' 
	AND magento_orderno != '' 
GROUP BY
	ordercode 
HAVING
	cnt != 1 
ORDER BY
	id ASC";



	$xres = simplexml_load_string($runQuery->RunQuery($qry));

	$count = count($xres);
	if($count > 0){
	foreach($xres as $rowscn){
		
		echo $ordercode = $rowscn->ordercode;
		echo '<br/>' .$status_text = $rowscn->status_text;
		echo '<br/>' .$magento_orderno = $rowscn->magento_orderno;
		$datatime = $rowscn->datatime;
		echo $cnno = $rowscn->cnno;
		echo '<br/>';
		echo $datatime;
		$given = new DateTime($datatime);
        $given->format("Y-m-d H:i:s");
		$given->setTimezone(new DateTimeZone("UTC"));
        $currentdate =  $given->format("Y-m-d H:i:s");
		
		echo $currentdate;
		
		echo $url = "http://orientapi.gtech.com.pk/api/post/UpdateStatus?api=qTpq3bVFho&OrderID=".urlencode($ordercode)."&status=Pick&CNNumber=".urlencode($cnno);

		echo $url;

$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => array(
    "cache-control: no-cache",
	"content-type: application/json",
	'Content-length:' . strlen($url)

  ),
));

$response = curl_exec($curl);

$err = curl_error($curl);
curl_close($curl);

if ($err) {

  echo "cURL Error #:" . $err;

} else {
  
  echo $response;


  if($response != 'true'){
	echo 'Error';  
  }else{
 $qryupd = "UPDATE customer_order_status SET send_to_magento = '1',send_to_magento_time = NOW() WHERE ordercode = '".$ordercode."' and status = 'OPK'"; 
$runQuery->RunQuery($qryupd);

  }
}
	
	}

echo  'No Recoed Found';	

}else{
	echo  'No Recoed Found';	
	}