<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=utf-8", true);

include('../inc/dbobjx.php');

$runQ = new dbObj;



$orderlist = array();
$qry = "SELECT
	`order_serial`,
	`order_date`,
	`customer_order_id`,
	`customer_order_number`,
	`sku_id`,
	`customer_order_date`,
	`customer_billing_name`,
	`customer_shipping_name`,
	`customer_email`,
	`customer_bill_email`,
	`customer_order_quantity`,
	`picklist_id`,
	`sku_name`,
	`sku_brand`,
	`customer_phone`,
	`customer_cell`,
	`customer_bill_cell`,
	`customer_shipping_add`,
	`customer_bill_add`,
	`customer_bill_city`,
	`customer_ship_city`,
	`customer_bill_country`,
	`customer_ship_country`,
	`shipment_type`,
	`device_id`,
	`bintype`,
	`customer_comment`,
	`payment_type`,
	`refno`,
	`courier_name`,
	`singleprice`,
	`productsum`,
	`codamount`,
	`shippingcharges`,
	`discountamount`,
	`void_status`,
	`void_status_time`,
	DATE( `order_assign_time` ) AS order_assign_time,
	`shipment_weight`,
	`print_cn_time`,
	`old_cn_no`,
	`storeid`,
	`order_status`,
	`posted_status`,
	`tracking_status`,
	`deleted_time`,
	`user`,
	`totaltax`,
	`actual_price`,
	`actual_price_with_gst`,
	`random_no`,
	`outofstock_status`,
	`cnic`,
	`track_url`,
	`order_pick_status`,
	`order_pick_time`,
	`order_pack_status`,
	`order_pack_time`,
	`order_complete_time`
FROM
	`customer_order` 
WHERE
	customer_order_id != '' 
	AND order_date >= '2020-07-01' 
	AND order_date <= '2020-07-30' 
GROUP BY
	customer_order_number 
	 ORDER BY RAND ()  
	LIMIT 0,
	500";
										
	
	    $rr = $runQ->RunQuery($qry);
        $ress = simplexml_load_string($rr);
           foreach ($ress as $rows) {
			   
			   $qrys = "SELECT sku_id,sku_name,IFNULL(singleprice,0) AS singleprice ,IFNULL((actual_price_with_gst-singleprice),0) AS discount FROM customer_order WHERE customer_order_number = '".(string)$rows->customer_order_number."'";
			
			$rrod = $runQ->RunQuery($qrys);
        $ressod = simplexml_load_string($rrod);
        $orderdetail = array();
           foreach ($ressod as $orderdetailrow) {
			  $orderdetail[] = array("product_code"=>(string)$orderdetailrow->sku_id,
			"product_name"=>(string)$orderdetailrow->sku_name,
			"amount"=>(string)$orderdetailrow->singleprice,
			"discount"=>(string)$orderdetailrow->discount,
			"quantity"=>"1",
			"pc"=>"1",
			"weight"=>"0.5");
		   }
		   
		   $couriertype = ''; 
	$courier_name = $rows->courier_name;	   
    if($courier_name == 'blueEX'){$couriertype = '1';}
	if($courier_name == 'CC'){$couriertype = '5';}
	if($courier_name == 'M&P'){$couriertype = '4';}
	if($courier_name == 'leopard'){$couriertype = '3';}
	if($courier_name == 'rider'){$couriertype = '6';}
	if($courier_name == 'trax'){$couriertype = '7';}
	if($courier_name == 'tcs'){$couriertype = '2';}
		   
		    $orderlist[] = array(
			"order_date"=>(string)$rows->order_date,
			"acno"=>(string)'OR-00009',
			"user_id"=>(string)'khdi',
			"shipper_name"=>(string)$rows->customer_billing_name,
			"shipper_email"=>(string)$rows->customer_bill_email,
			"shipper_contact"=>(string)$rows->customer_phone,
			"shipper_address"=>(string)$rows->customer_phone,
			"consignee_name"=>(string)$rows->customer_shipping_name,
			"consignee_email"=>(string)$rows->customer_email,
			"consignee_contact"=>(string)$rows->customer_phone,
			"consignee_address"=>(string)$rows->customer_shipping_add,
			"quantity"=>(string)$rows->customer_order_quantity,
			"origin_country_id"=>1,
			"origin_country"=>'PK',
			"origin_city_id" =>1,
			"destination_country_id"=>1,
			"origin_city"=>'Karachi',
			"origin_province"=>'SINDH',
			"origin_province_id"=>1,
			"destination_country"=>'PK',
			"destination_province_id"=>1,
			"destination_city"=>(string)$rows->customer_ship_city,
		    "destination_city_id"=>1,
			"order_amount"=>(int)$rows->codamount,
			"gst_charges"=>(string)$rows->totaltax,
			"shipping_charges"=>(string)$rows->shippingcharges,
			"cnic_number"=>(string)'3440389950531',
			"other_charges"=>'0',
			"payment_method"=>(string)$rows->payment_type,
			"platform"=>'Magento',
			"last_status"=>'Shipped',
			"last_status_date"=>(string)$rows->order_date,
			"courier_id"=>$couriertype,
			"courier_name"=>(string)$rows->courier_name,
			"courier_mapping_id"=>'1',
			"consigment_number"=>(string)$rows->customer_order_id,
			"order_ref"=>(string)$rows->customer_order_number,
			"created_at"=>(string)$rows->order_date,
			"updated_at"=>(string)$rows->order_date,
			"piece"=>5,
			"weight"=>2,
			"detail"=>$orderdetail,
			"comment_detail"=>"Hello World",
			"status"=>"Y");
		   
		   
		   
			
			
		 }
		 
   $array = $orderlist;
   $json = json_encode($array);
   
   //echo $json;
   
   $acno = "OR-00009";
    //$data = array("acno" => $acno);
    //$json = json_encode($data);
	$file_name = "https://oms.orio.tech/api/orderupload";
         $curl = curl_init();
        curl_setopt_array($curl, array(
          CURLOPT_URL => $file_name,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => "",
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 0,
          CURLOPT_FOLLOWLOCATION => true,
          CURLOPT_SSL_VERIFYHOST => false,
          CURLOPT_SSL_VERIFYPEER => false,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => "POST",
          CURLOPT_POSTFIELDS =>$json,
        ));
        $response = curl_exec($curl);
        echo $response;
        $result = json_decode($response);
       // echo $result;

  