<?php	
	function utf8_for_xml($string){
    	return preg_replace ('/[^\x{0009}\x{000a}\x{000d}\x{0020}-\x{D7FF}\x{E000}-\x{FFFD}]+/u', ' ', $string);
	}
	session_start();
	/** Error reporting */
	error_reporting(E_ALL);

	include('inc/dbobjx.php');
	$runQ = new dbObj;

	ini_set('display_errors', TRUE);
	ini_set('display_startup_errors', TRUE);
	date_default_timezone_set('Asia/Karachi');

	if (PHP_SAPI == 'cli')
		die('This example should only be run from a Web Browser');

	/** Include PHPExcel */
	require_once 'inc/PHPExcel.php';

	// $acno = '';
	// if($_SESSION['cc']!=""){$crit = " ACNO = '" . $_SESSION['cc'] . "'"; $acno = $_SESSION['cc'];}
	// else{$crit = " ACNO = '" . $_REQUEST['acno'] . "'"; $acno = $_REQUEST['acno']; }

	// Create new PHPExcel object
	$objPHPExcel = new PHPExcel();

	// Set document properties
		$objPHPExcel->getProperties()->setCreator("Blue Ex")
								 ->setLastModifiedBy(date('d-m-Y h:i:s'))
								 ->setTitle("Report")
								 ->setSubject("Quality Of Service")
								 ->setDescription("StockReport")
								 ->setKeywords("Report Portal")
								 ->setCategory("Report");
  	
	$qry = "SELECT stack_date,sku_id, sname,description,brand,qty, binid,price,
						   categories FROM";
	$table = "stock_av_view";
	$qry .= $table;	

	//echo $qry;

	$res =  $runQ->RunQuery($qry);
	$xres = simplexml_load_string(utf8_for_xml($res));
	
		

	$objPHPExcel->getActiveSheet()->setTitle('Report');
	$objPHPExcel->setActiveSheetIndex(0)
	            ->setCellValue('A1', 'CUSTOMER ORDER NUMBER')
	            ->setCellValue('B1', 'CUSTOMER ORDER ID')
	            ->setCellValue('C1', 'ORDER DATE')
	            ->setCellValue('D1', 'SKU ID')
	            ->setCellValue('E1', 'CUSTOMER BILLING NAME')
	            ->setCellValue('F1', 'CUSTOMER ORDER QUANTITY')
	            ->setCellValue('G1', 'SKU NAME')
	            ->setCellValue('H1', 'CUSTOMER PHONE')
	            ->setCellValue('I1', 'CUSTOMER BILL CITY')
	            ->setCellValue('J1', 'COD AMOUNT');

	$i =2;
	$trans = array("\'" => ' ', '\"' => ' ' );
	 
					
	// Add some data
	foreach($xres as $key => $r){
		$objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('A'.$i, utf8_for_xml($r->customer_order_number))
		            ->setCellValue('B'.$i, utf8_for_xml($r->customer_order_id))
		            ->setCellValue('C'.$i, utf8_for_xml($r->order_date))
		            ->setCellValue('D'.$i, utf8_for_xml($r->sku_id))
		            ->setCellValue('E'.$i, utf8_for_xml($r->customer_billing_name))
		            ->setCellValue('F'.$i, utf8_for_xml($r->customer_order_quantity))
		            ->setCellValue('G'.$i, utf8_for_xml($r->sku_name))
		            ->setCellValue('H'.$i, utf8_for_xml($r->customer_phone))
		            ->setCellValue('I'.$i, utf8_for_xml($r->customer_bill_city))
		            ->setCellValue('K'.$i, utf8_for_xml($r->codamount));
			            
			$i++;
	}

	// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$objPHPExcel->setActiveSheetIndex(0);


	// Redirect output to a client’s web browser (Excel5)
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment;filename="StockReport.xls"');
	header('Cache-Control: max-age=0');
	// If you're serving to IE 9, then the following may be needed
	header('Cache-Control: max-age=1');

	// If you're serving to IE over SSL, then the following may be needed
	header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
	header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
	header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
	header ('Pragma: public'); // HTTP/1.0

	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
	$objWriter->save('php://output');
	exit;
	
?>