<script type="text/javascript" language="javascript" src="dtreps/js/TableTools.js"></script>
<script type="text/javascript">
function load(){
	$("#rep").dataTable().fnDestroy();
	$('#rep').dataTable({
			"aaSorting": [[ 0, "desc" ]],
			"aoColumns": [
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"},
				{ "sWidth": "auto"}
			],
			"bProcessing": true,
			"bServerSide": true,
			"buttons": ['csv','print', 'excel', 'pdf'],
			"sAjaxSource": "data/lists/stkrep_list.php?sdate="+$("#rdate").val()+"&edate="+$("#edate").val()+"&type="+$("#type").val()
		});
}
$(document).ready(function(){
	load();
	$("#frm").submit(function(){return false;});
	$("#rdate").datepick({dateFormat: "dd/mm/yyyy"});
	$("#edate").datepick({dateFormat: "dd/mm/yyyy"});
	
	$.get("pgs/dpg.php","pg=24&type=cust",function(data){
		var htm = "";
		htm += "<option value=\'0\'>Select acno</option>";
		$(data).find("row").each(function(){
			acno = $(this).children(":first-child").text();
			name = $(this).children(":nth-child(2)").text();
			htm += "<option value="+acno+">"+name+"</option>";
		});
		$("#cust").html(htm);
	});
	
	
	$("#reset").click(function(){
		$("#rep").dataTable().fnClearTable();
	});	

	$("#report").click(function(){
		load();
	})
	
	
});
</script>
<?php
echo '<div id="content" class="xfluid">
	<div class="portlet x8" style="cursor:pointer;">
		<div class="portlet-header"><h4>Criteria Selection</h4></div>
		<div class="portlet-content">
			<form id="frm" class="form label-inline">
				<div class="field">
					<label for="rdate">Start Date : </label> 
					<input type="text" id="rdate" name="rdate" class="small" value="'.date('d/m/Y').'" readonly="readonly" />
				</div>
				<div class="field">
					<label for="rdate">End Date : </label> 
					<input type="text" id="edate" name="edate" class="small" value="'.date('d/m/Y').'" readonly="readonly" />
					Date range selection is only for In / Out
				</div>
				<div class="field">
					<label for="type">Type : </label> 
					<select id="type" name="type" class="medium" style="width:150px">
						<option value="I">In</option>
						<option value="A">Available</option>
						<option value="O">Out</option>
					</select>
				</div>
				
				<div class="buttonrow">
					<button class="btn-icon btn-small btn-print" id="report"><span></span>Get Report</button>
					<button class="btn-icon btn-small btn-refresh" id="reset" type="reset"><span></span>Refresh</button>
					<a href="exportdata.php?type=stkreport" target="_blank" class="btn-icon btn-small" id="exportexcel" style="color: #fff;">Export Available Stock</a>
				</div>
			</form>	
		</div>
	</div>
			
	<div class="portlet x12" style="cursor:pointer;">
		<div class="portlet-header"><h4>Daily Stock Report</h4></div>
			<div class="portlet-content">
				<table cellpadding="0" cellspacing="0" border="0" class="display" id="rep">
					<thead>
						<tr>
						    <th>In/Out Date</th>
							<th>SKU ID</th>
							<th>Name</th>
							<th>Description</th>
							<th>Brand</th>
							<th>Quantity</th>
							<th>Bin ID</th>						
							<th>Price</th>
							<th>Categories</th>
							<th>Acno</th>
						</tr>
					</thead>
					<tbody>
					</tbody>
				</table>
		</div>
	</div>
</div>';
?>