<?php  
//require_once($_SERVER['DOCUMENT_ROOT'] .dirname($_SERVER['PHP_SELF'])."/sqlconfig.php");
include dirname(__FILE__).'/../../sqlconfig.php';
class dbObj
{
    

    private $host = DB_HOSTNAME;
    private $port = '3306';
    private $username = DB_USERNAME;
    private $password = DB_PASSWORD;
    private $dborsrv = DB_NAME;

    private function OpenCon()
    {
        $c = mysqli_connect($this->host . ':' . $this->port, $this->username, $this->password);
        if (!$c) {
            die('Could not connect: ' . mysql_error());
        } else {
            $this->con = $c;
        }
    }

    private function CloseCon()
    {
        mysqli_close($this->con);
    }

    public function TotalRows($Query)
    {
        $this->OpenCon();
        mysqli_select_db($this->con,$this->dborsrv);
        $result = mysqli_query($this->con,$Query);
        $data = mysqli_num_rows($result);
        $this->CloseCon();
        return $data;
    }

    public function LastInsertID($Query)
    {
        $this->OpenCon();
        mysqli_select_db($this->con,$this->dborsrv);
        $result = mysqli_query($this->con,$Query);
        
        $data = mysqli_insert_id($this->con);
        
        //$data = mysqli_num_rows($result);
        $this->CloseCon();
        return $data;
    }

    public function SelectQuery($Query)
    {
        $this->OpenCon();
        mysqli_select_db($this->con,$this->dborsrv);
        $result = mysqli_query($this->con,$Query);
        return $result;
    }

    public function RunQuery($Query)
    {
        $this->OpenCon();
        mysqli_select_db($this->con,$this->dborsrv);
        $result = mysqli_query($this->con,$Query);
        $statement_type = ucwords(strtolower(substr(trim($Query), 0, 6)));
        if ($statement_type == 'Select') {
            $XML = new XMLWriter();
            $XML->openMemory();
            $XML->startElement("record");
            while ($row = mysqli_fetch_array($result)) {
                $XML->startElement("row");
                for ($i = 0; $i < mysqli_num_fields($result); $i++) {
                    if (mysqli_fetch_field($result) == 'datetime') {
                        $val = date('d/m/Y', strtotime($row[$i]));
                    } elseif (mysqli_fetch_field($result ) == 'blob') {
                        $val = base64_encode($row[$i]);
                    } else {
                        $val = addslashes($row[$i]);
                    }
                    $field =$this->mysqli_field_name($result, $i);
                    $XML->writeElement($field, $val);
                }
                $XML->endElement();
            }
            $XML->endElement();
            $data = $XML->outputMemory();
        }
        else {
            //----------log start-----------//
            // Get IP address
            if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
              $_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
            }
            if (($remote_addr = $_SERVER['REMOTE_ADDR']) == '') {
                $remote_addr = "REMOTE_ADDR_UNKNOWN";
            }
            // Escape values
            if ($_SESSION['usrid'] == '') {
                @$usrid = 'UNKNOWN';
            } else {
                @$usrid = $_SESSION['usrid'];
            }
            $message = mysqli_real_escape_string($this->con,$Query);
            $remote_addr = mysqli_real_escape_string($this->con,$remote_addr);
            $actual_link = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
            $request_uri = mysqli_real_escape_string($this->con,$actual_link);
            $QueryLOG = "INSERT INTO all_activity_log (remote_addr, request_uri, message, usrid) VALUES('$remote_addr', '$request_uri', '$message', '$usrid')";
            mysqli_query($this->con,$QueryLOG);
            //----------log end-----------//

            if ($result) {
                $data = true;
            } else {
                $data = false;
            }
        }
        $this->CloseCon();
        //return $Query;
        return $data;
    }
 public   function mysqli_field_name($result, $field_offset)
    {
        $properties = mysqli_fetch_field_direct($result, $field_offset);
        return is_object($properties) ? $properties->name : null;
    }

}

return;
?>