#!/usr/bin/python
import dbobjx
import json
import request
try:
	req = request.POST['request']
	loaded_r = json.loads(req)
	rtype = loaded_r['rtype']
	db = dbobjx.dbobjx()
	keyName = ''
	if rtype == "today_sales":
		result = 'single'
		keyName = 'today_sales'
		qry = "SELECT CONCAT(LEFT ( DAYNAME( order_date ), 3 ),', ',date_format(NOW(),'%d %b %Y')) AS dates,order_date AS order_date, LEFT ( DAYNAME( order_date ), 3 ) AS day, COUNT( DISTINCT ( `customer_order`.`customer_order_number` ) ) 'total_orders',count(DISTINCT (CASE WHEN void_status = 0 AND order_status = 1  AND outofstock_status = 0  AND picklist_id IS NOT NULL  AND sku_id NOT IN ( 'GC500', 'GC1000', 'GC1500', 'GC2000', 'GC2500', 'GC3000', 'GC5000', 'GC10000', 'GC15000' ) THEN `customer_order`.`customer_order_number` END)) AS 'completed_orders' ,ROUND((count(DISTINCT (CASE WHEN void_status = 0 AND order_status = 1  AND outofstock_status = 0  AND picklist_id IS NOT NULL  AND sku_id NOT IN ( 'GC500', 'GC1000', 'GC1500', 'GC2000', 'GC2500', 'GC3000', 'GC5000', 'GC10000', 'GC15000' ) THEN `customer_order`.`customer_order_number` END))/COUNT( DISTINCT ( `customer_order`.`customer_order_number` ) )) * 100,2) as percentage  FROM `customer_order` WHERE order_date = CURRENT_DATE  AND courier_name IN ( 'blueEX', 'M&P', 'CC' ,'leopard') GROUP BY order_date ORDER BY order_date"
	if rtype == "comparison":
		result = 'multiple'
		keyName = 'comparison'
		qry = "CALL comparison()"
	if rtype == "courier_breakdown":
		result = 'multiple'
		keyName = 'courier_breakdown'
		qry = "CALL courier_breakdown()"
	if rtype == "week_review":
		result = 'multiple'
		keyName = 'week_review'
		qry = "SELECT order_date AS order_date, LEFT ( DAYNAME( order_date ), 3 ) AS day, COUNT( DISTINCT ( `customer_order`.`customer_order_number` ) ) 'total_orders',count(DISTINCT (CASE WHEN void_status = 0 AND order_status = 1  AND outofstock_status = 0  AND picklist_id IS NOT NULL  AND sku_id NOT IN ( 'GC500', 'GC1000', 'GC1500', 'GC2000', 'GC2500', 'GC3000', 'GC5000', 'GC10000', 'GC15000' ) THEN `customer_order`.`customer_order_number` END)) AS 'completed_orders' ,ROUND((count(DISTINCT (CASE WHEN void_status = 0 AND order_status = 1  AND outofstock_status = 0  AND picklist_id IS NOT NULL  AND sku_id NOT IN ( 'GC500', 'GC1000', 'GC1500', 'GC2000', 'GC2500', 'GC3000', 'GC5000', 'GC10000', 'GC15000' ) THEN `customer_order`.`customer_order_number` END))/COUNT( DISTINCT ( `customer_order`.`customer_order_number` ) )) * 100,2) as percentage  FROM `customer_order` WHERE order_date > CURRENT_DATE - 7 AND courier_name IN ( 'blueEX', 'M&P', 'CC' ,'leopard') GROUP BY order_date ORDER BY order_date"
	if rtype == "hourly_review":
		result="multiple"
		keyName="hourly_review"
		qry = "SELECT HOUR(picklist_complete_time) + 1 AS hour,COUNT(DISTINCT (`customer_order`.`customer_order_number`)) 'total_orders' FROM`customer_order` INNER JOIN picklist_master ON picklist_master.`picklist_id` = customer_order.`picklist_id` WHERE DATE(picklist_complete_time) = CURRENT_DATE AND courier_name IN ('blueEX', 'M&P', 'CC', 'leopard') AND ORDER_STATUS = 1 GROUP BY HOUR(picklist_complete_time)"
	response = db.get(keyName,qry) if result == 'single' else db.getall(keyName,qry)
	print response
except Exception as error:
	print json.dumps({"message" : str(error)})