<?php
// input misspelled word
$input = 'Abbotabad';

// array of words to check against
$words  = array('Abbotaabad',
'Abbottabad',
'ABDUL HAKIM',
'ABOTTABAD',
'ADDA JOHAL 97 / RB',
'ADDA SHEIKH WAN',
'AHMED PUR EAST',
'AHMED PUR SIAL',
'AJNIA WALA',
'AKHTAR ABAD',
'AKORA KHATAK',
'ALI PUR CHATHA',
'ALIPUR',
'ALLAH ABAD',
'ARIFWALA',
'ATTOCK',
'Badin',
'BADOMALI',
'BAFFA',
'BAGH',
'BAGH  AJK',
'BAGH (AJK)',
'BAGHATANWALA',
'BAHAWALNAGAR',
'Bahawalpur',
'BAHTAR MORE',
'BALA KOT',
'BANNU',
'Bannuu',
'BANU',
'BARAH KHU',
'Bari Kot',
'BASHARAT',
'BASIRPUR',
'BASTI MALOOK',
'BAT KHELA',
'BATGRAM',
'BATKHELA',
'BHAI PHERU',
'BHAKKAR',
'BHALWAAL',
'BHERA',
'BHIMBER (AJK)',
'BHOWANA',
'BUCHEKE',
'Buner',
'BUREWALA',
'CHAK JHUMRA',
'CHAKDARA',
'CHAKLALA',
'CHAKRI',
'CHAKWAL',
'CHAMAN',
'CHANGA MANGA',
'CHAR BAGH',
'CHARSADA',
'CHARSADDA',
'Chawinda',
'Chenab Nagar',
'CHICHAWATNEE',
'Chichawatni',
'CHINIOT',
'CHISTIAN',
'CHITRAL',
'CHOA SAIDAN SHAH',
'CHOBARA',
'CHOTA LAHORE',
'CHOWK AZAM',
'CHUNIAN',
'city',
'd.g khan',
'D.I. KHAN',
'Dadu',
'DADYAL  AJK',
'DADYAL (AJK)',
'Daharki',
'DARGAI',
'DASKA',
'DAUL TALA',
'DEHARKI',
'DEPALPUR',
'DERA GHAZI KHAN',
'Dera Ismail Khan',
'DERA NAWAB',
'DHUDIAL',
'Digri',
'DIJKOT',
'DINA',
'DINA ',
'Dinga',
'DINGA ',
'DISTT. COMPLEX',
'DOABA',
'DOKRI',
'DUNIAPUR',
'F.F.C. PLANT',
'FAISALABAD',
'FAQIRWALI',
'FAROOQABAD',
'FATEH JANG',
'FATEH PUR',
'FAZIL PUR',
'FEROZ WATWAN',
'FORT ABBAS',
'GAGGO MANDI',
'Gambat',
'GAMBER',
'GARHA MORE',
'GAWADER',
'GHAKKAR MANDI',
'GHARO',
'GHAZI',
'GHAZIABAD',
'GHIKA GALI',
'Ghotki',
'GHOUR GHUSTI',
'GHOUS PUR',
'GILGIT',
'GOJRA',
'GOLARCHI',
'GOTH MACHI',
'GUJAR KHAN',
'GUJRANWALA',
'GUJRAT',
'GULYANA',
'HAFIZABAD',
'HAJEERA',
'HAKEEM ABAD',
'HALA',
'Hangu',
'HARAPPA',
'HARI PUR',
'Haripur',
'Haroonabad',
'HASANABDAAL',
'HASIL PUR',
'Hattar',
'HAVELI LAKHA',
'HAVELIAN',
'HAZARA UNIVERSITY',
'HAZRO',
'HUB CHOWKI',
'HUJRA SHAH MUKEEM',
'HUSRI',
'Hyderabad',
'IQBAL ABAD',
'IQBAL NAGAR',
'Islamabad',
'JACABABAD',
'Jacobabad',
'JAFFARABAD',
'JAHANIAN',
'JALALPUR BHATTIAN',
'JALALPUR JATTAN',
'JALALPURPIRWALA',
'JAMPUR',
'JAMSHERO',
'Jamshoro',
'JANDIA SHER KHAN',
'JARANWALA',
'JATOI',
'JEHANGIRA',
'JEHLUM',
'JHABRAN MANDI',
'JHANG',
'Jhelum',
'JOHARABAD',
'JOHI',
'KABIRWALA',
'KACHA KHOO',
'KAHAUTA',
'KALAT',
'KALLAR KAHAR',
'KALLAR SYEDDAN',
'KAMALIA',
'KAMOKE',
'KAMRA',
'KAND KOT',
'Kandh Kot',
'Kandiaro',
'KANGAN PUR',
'KANGRA',
'KANJU',
'Kanju Township',
'KAPCO POWER PLANT',
'Karachi',
'KARAK',
'KARAM PUR',
'KAROOR PAKA',
'KAROR LAL EASAN',
'Kashmore',
'KASSOWAL',
'KASUR',
'KHAIR PUR',
'KHAIRPUR',
'KHAIRPUR MEERUS',
'Khairpur Mirs',
'KHAIRPUR TAMEWALI',
'KHAN BELA',
'KHAN GHAR',
'KHAN PUR',
'KHANEWAL',
'KHANKA DOGRAN',
'KHANPUR MAHAR',
'KHARIAN',
'KHOAZA KHAILA',
'KHUDIAN KHAS',
'KHURRIANWALA',
'KHUSHAAB',
'KHUZDAR',
'KHWERA',
'KOHAT',
'KOT ADDU',
'KOT CHUTTA',
'KOT MITHAN',
'KOT MOMIN',
'KOT PINDI DAS',
'KOT RADHA KISHAN',
'KOT SAMABAH',
'KOTLA ARAB ALI KHAN',
'KOTLI',
'KOTLI  AJK',
'KOTLI (AJK)',
'kotli ajk',
'KOTLI BEHRAM',
'KOTLI LOHARAN',
'KOTRI',
'KUCHLAK',
'KULACHI',
'KUNDIAN',
'Kunri',
'Lahore',
'Lahore.',
'LAKKI MARWAT',
'LALA MUSA',
'LALIAN',
'LALLIANI',
'Larkana',
'LAYYAH',
'LIAQAT PUR',
'LODHRAN',
'LORALAI',
'LOWER TOPA',
'MAILSI',
'Malakand',
'Malakwal',
'MANA WLA',
'MANAWALA',
'MANDI BAHAUDDIN',
'MANDIAN',
'MANDRA',
'MANGA MANDI',
'MANGLA',
'MANKERA',
'MANSEHRA',
'MARDAN',
'MASTUNG',
'Matiari',
'MATIYARI',
'MATLI',
'Matta',
'MEHER',
'MEHRAB PUR',
'Mehrabpur',
'MIAN CHANNU',
'MIANI',
'MIANWALI',
'MINCHINABAD',
'MINGORA',
'MIR PUR A.K.',
'MIR PUR KHAS',
'MIR PUR METHELO',
'MIRPUR  AJK',
'MIRPUR (AJK)',
'Mirpur Azad Kashmir',
'Mirpur Khas',
'Mirpur Mathelo',
'Mirpurkhas',
'MITHA TIWANA',
'MITTHI',
'MORE KHUNDA',
'Moro',
'MUCH',
'Multan',
'MURIDKE',
'Murree',
'MUZAFARABAD',
'MUZAFARABAD  AJK',
'MUZAFARABAD (AJK)',
'Muzaffarabad',
'MUZAFFARGARH',
'NAROWAL',
'NASIRABAD',
'NAUSHKI',
'NAWAB SHAH',
'Nawabshah',
'NAWAY KALI',
'NEW INDUSTRIAL AREA',
'NIZAMABAD',
'NONAR',
'NOOR KOT',
'NOORPUR',
'NOORPUR THAL',
'NORIABAD',
'Noshero Feroze',
'NOWSHERA',
'NOWSHERA KALAN',
'NOWSHERA VIRKAN',
'NOWSHERO FEROZE',
'NUDEARO',
'NUNKANA SAB',
'OKARA',
'PABI',
'PAHARPUR',
'PAKPATTAN',
'Panno aqil',
'PANOAQIL',
'PASROOR',
'PASROOR ROAD AND VILLAGES',
'PATOKI',
'Pattoki',
'PEER MAHAL',
'Peshawar',
'PHALIA',
'PIND DADAN KHAN',
'PINDI BHATIAN',
'Pindi Bhattian',
'Pindi Gheb',
'PIPLAN',
'PISHIN',
'PITARO',
'PLANDARI / SADHNOTI (AJK)',
'PMA KAKUL',
'POONCH  AJK',
'POONCH (AJK)',
'PUNGIRAYIN',
'PUNWAN',
'QABOOLA SHARIF',
'QAIDABAD',
'QILA DEEDAR SING',
'Quetta',
'Rahim yar khan',
'RAIWIND',
'RAJA JANG',
'RAJAN PUR',
'RAJANA',
'RANI PUR',
'Ranipur',
'RAO KHAN WALA',
'RATO DEARO',
'RAWALAKOT (AJK)',
'Rawalpindi',
'Rawat',
'RENALA KHURD',
'Risalpur',
'Rohri',
'RUBWA',
'SADIQABAD',
'SAFDARABAD',
'Sahiwal',
'Saidu Sharif',
'SAJAWAL',
'Sakrand',
'SAMANDARI',
'SANGAR',
'Sanghar',
'SANGLA HILL',
'SANJWAL',
'Sara-a Mahajar',
'SARAYE NORANG',
'SARDAR GARH',
'SARGODHA',
'SARI ALAMGIR',
'SAWABI',
'sawat',
'Sehwan Sharif',
'SHABQADAR',
'SHADAD KOT',
'SHADIWAL',
'SHAH PUR CHAKAR',
'SHAHDAD PUR',
'Shahdadpur',
'SHAHKOT',
'SHAHPUR SADDAR',
'SHAKARGARH',
'SHEIKHUPURA',
'Sher Garh',
'SHERGARH',
'SHEWA ADDA',
'Shikarpur',
'SHORKOT',
'SHUJABAD',
'SIALKOT',
'SIBI',
'SIHALA',
'SIKANDARABAD',
'SILANWALI',
'SKARDU',
'SOHAWA ONLY MAIN GT ROAD',
'Sukkur',
'SUMBRIAL',
'Swabi',
'Swat',
'SWAT  MINGORA CITY',
'SWAT (MINGORA CITY)',
'SYED WALA',
'TAKHT-E-BHAI',
'Takht-i-Bahi',
'TALAGUNG',
'TALHAR',
'TALVANDI',
'TANDLAWALA',
'Tando Adam',
'Tando Allah Yar',
'TANDO ALLAHYAR',
'TANDO GHULAM ALI',
'Tando Jam',
'TANDO JAN MUHAMMAD',
'TANDO MOHD KHAN',
'Tando Muhammad Khan',
'TANK',
'Tarbela',
'TARBELA DAM',
'TARNOL',
'TAUNSA SHARIF',
'TAXLA',
'Thatta',
'THEENG MORE (ALLAHABAD)',
'THULL',
'TIBBA SULTANPURA',
'TIMARGARAH',
'Timergara',
'TOBA TEK SINGH',
'TOPI',
'TURBAT',
'UBARO',
'UCH SHRIF',
'UGGOKE',
'Umer Kot',
'UPPER DIR',
'Usta Muhammad',
'VEHARI',
'WAH CANTT',
'WahCantt',
'WAPDA COLONY (AJK)',
'WARBATTAN',
'WAZIRABAD',
'YAZMAN',
'ZAFARWAL',
'ZAHIR PIR',
'ZHOB'
);

// no shortest distance found, yet
$shortest = -1;

// loop through words to find the closest
foreach ($words as $word) {

    // calculate the distance between the input word,
    // and the current word
    $lev = levenshtein($input, $word);

    // check for an exact match
    if ($lev == 0) {

        // closest word is this one (exact match)
        $closest = $word;
        $shortest = 0;

        // break out of the loop; we've found an exact match
        break;
    }

    // if this distance is less than the next found shortest
    // distance, OR if a next shortest word has not yet been found
    if ($lev <= $shortest || $shortest < 0) {
        // set the closest match, and shortest distance
        $closest  = $word;
        $shortest = $lev;
    }
}

echo "Input word: $input\n";
if ($shortest == 0) {
    echo "Exact match found: $closest\n";
} else {
    echo "Did you mean: $closest?\n";
}

?>