#!/usr/bin/python

import cgi
import urllib
import urllib2
import requests
import pymysql
import os
import datetime
import cgitb
cgitb.enable()

from openpyxl import Workbook
wb = Workbook()
ws1 = wb.active
ws1.title = "Report"

# Print necessary headers.
print("Content-Type: text/html \n\n ")

conn = pymysql.connect(host='localhost', port=3306, user='blueix_chapter2dbuser', passwd='ud!WxRH7tB', db='blueix_chapter2db')
cur = conn.cursor()
try:
	#req = request.POST['receive_id']
	print datetime.datetime.now()
	print " Start Report Creation<br>";

	ws1["A1"] = "BARCODE"	
	ws1["B1"] = "REQUESTEDSHIPPINGDATE"	
	ws1["C1"] = "ACTUALPRICE"	
	ws1["D1"] = "SALESPRICE"	
	ws1["E1"] = "SALESQTY"	
	ws1["F1"] = "LineDiscountAmount"	
	ws1["G1"] = "SALESUNITSYMBOL"	
	ws1["H1"] = "ShippingCharges"	
	ws1["I1"] = "ShippingCode"	
	ws1["J1"] = "SHIPPINGSITEID"	
	ws1["K1"] = "SHIPPINGWAREHOUSEID"	
	ws1["L1"] = "SLD_BOOKINGDATE"	
	ws1["M1"] = "SLD_ECOMORDERNUMBER"	
	ws1["N1"] = "SLD_INTERNATIONALTRACKINGNUMBER"	
	ws1["O1"] = "SLD_ONLINECUSTOMERADDRESS"	
	ws1["P1"] = "SLD_ONLINECUSTOMERCITY"	
	ws1["Q1"] = "SLD_ONLINECUSTOMEREMAIL"	
	ws1["R1"] = "SLD_ONLINECUSTOMERNAME"	
	ws1["S1"] = "SLD_ONLINECUSTOMERPHONE"	
	ws1["T1"] = "SLD_TRACKINGNUMBER"	
	ws1["U1"] = "VASCharges"	
	ws1["V1"] = "VASCode"
	ws1["W1"] = "VASpay"
	ws1["X1"] = "RCID"

	query = "SELECT incomplete_customer_order_log.`sku_id` AS BARCODE,  '' AS REQUESTEDSHIPPINGDATE,  '' AS SALESORDERNUMBER,incomplete_customer_order_log.actual_price_with_gst AS ACTUALPRICE,  incomplete_customer_order_log.`singleprice` AS SALESPRICE,  CONCAT('-', customer_order_quantity) AS SALESQTY, (actual_price_with_gst-singleprice) AS LineDiscountAmount,  'PCS' AS SALESUNITSYMBOL,  CONCAT('-', incomplete_customer_order_log.`shippingcharges`  ) AS ShippingCharges,  '' AS ShippingCode,  '' AS SHIPPINGSITEID,  incomplete_customer_order_log.`storeid` AS SHIPPINGWAREHOUSEID,  incomplete_customer_order_log.`order_date` AS SLD_BOOKINGDATE,  incomplete_customer_order_log.`customer_order_number` AS SLD_ECOMORDERNUMBER, (SELECT `customer_order_id` FROM customer_order where customer_order.customer_order_number = incomplete_customer_order_log.`customer_order_number` limit 0,1 ) AS SLD_INTERNATIONALTRACKINGNUMBER,  incomplete_customer_order_log.`customer_bill_add` AS SLD_ONLINECUSTOMERADDRESS,  incomplete_customer_order_log.`customer_ship_city` AS SLD_ONLINECUSTOMERCITY,  incomplete_customer_order_log.`customer_bill_email` AS SLD_ONLINECUSTOMEREMAIL,  incomplete_customer_order_log.`customer_billing_name` AS SLD_ONLINECUSTOMERNAME,  incomplete_customer_order_log.`customer_bill_cell` AS SLD_ONLINECUSTOMERPHONE,  '' AS SLD_TRACKINGNUMBER,  '' AS VASCharges,  '' AS VASCod,payment_type,courier_name,deleted_time AS edit_time FROM  incomplete_customer_order_log WHERE deleted_time >= '"+str(datetime.date.today()-datetime.timedelta(1))+" 20:00:01' AND deleted_time <= '"+str(datetime.datetime.now().strftime("%Y-%m-%d"))+" 20:00:00' ORDER BY order_serial,customer_order_number ASC"
	cur.execute(query)
	customer_order = ""
	for result in cur:
		if customer_order == str(result[13]):
			shippingcharges = '0'
		else:
			shippingcharges = result[7]
		ws1.append([result[0],result[1],result[2],result[3],result[4],result[5],result[6],shippingcharges,result[8],result[9],result[10],result[11],result[12],result[13],result[14],result[15],result[16],result[17],result[18],result[19],result[20],result[21],result[22],result[23]])
		customer_order = result[13]

	cur.close()
	conn.close()

	wb.save("excelfile/returnreport.xlsx")

	print datetime.datetime.now()
	print " Report Created <br>"
	print datetime.datetime.now()

	print "Start Emailing<br>"

	import smtplib,ssl
	from email.mime.multipart import MIMEMultipart
	from email.mime.base import MIMEBase
	from email.mime.text import MIMEText
	from email.utils import formatdate
	from email import encoders

	send_from = 'khaadi@blueix.co'
	send_to = ["fariha.hassan@blue-ex.com"]
	#send_to = ["sikanderzahid@yahoo.com","fahad.mateen@systemsltd.com","Sheroz.Khan@khaadi.com","abid.rehman@systemsltd.com","sibtehussain.malik@systemsltd.com","sikander.zahid@khaadi.com","onlinestore@khaadi.com","fariha.hassan@blue-ex.com"]
	subject = 'Return Report - 08:00 PM ('+datetime.datetime.now().strftime("%d/%m/%Y")+')'
	text = 'Report Attached'

	server = 'localhost'

	isTls = True

	msg = MIMEMultipart()
	msg['From'] = send_from
	#msg['To'] = send_to
	msg['To'] = ', '.join(send_to)
	msg['Date'] = formatdate(localtime = True)
	msg['Subject'] = subject
	msg.attach(MIMEText(text))

	part = MIMEBase('application', "octet-stream")
	part.set_payload(open("excelfile/returnreport.xlsx", "rb").read())
	encoders.encode_base64(part)
	part.add_header('Content-Disposition', 'attachment; filename="returnreport.xlsx"')
	msg.attach(part)

	#smtp = smtplib.SMTP(server)
	smtp = smtplib.SMTP("mail.blueix.co", 587)
	smtp.set_debuglevel(False)
	smtp.login('khaadi@blueix.co', 'BLX+Khaadi#')

	if isTls:
		smtp.sendmail(send_from, send_to, msg.as_string())
		smtp.quit()

	print datetime.datetime.now()
	print " Emailed"
except Exception as error:
	print error
