<?php
	if(!isset($_SESSION)) {session_start();}
	/*
	 * Script:    DataTables server-side script for PHP and MySQL
	 * Copyright: 2010 - Allan Jardine
	 * License:   GPL v2 or BSD (3-point)
	 */
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * Easy set variables
	 */
	
	/* Array of database columns which should be read and sent back to DataTables. Use a space where
	 * you want to insert a non-database field (for example a counter or static image)
	 */
	$aColumns = array( 'sku_serial','sku_date','eta_date','order_no','externreceiptkey','storekey','documenttype','sku_id','quantity','inward_quantity','syncstatus','responsestr','printstr','movestr','emailstr');
	
//$aColumnsFilter = array( 'product_code', 'product_ref',  'product_name', 'product_price', 'product_sale_price');
	
	/* Indexed column (used for fast and accurate table cardinality) */
	$sIndexColumn = "externreceiptkey";
	
	/* DB table to use */
	$sTable = "strinfo";
	
	/* Database connection information */
	include("repcon.php");
	
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * If you just want to use the basic configuration for DataTables with PHP server-side, there is
	 * no need to edit below this line
	 */
	
	/* 
	 * MySQL connection
	 */
	$gaSql['link'] =  mysql_pconnect( $gaSql['server'], $gaSql['user'], $gaSql['password']  ) or
		die( 'Could not open connection to server' );
	
	mysql_select_db( $gaSql['db'], $gaSql['link'] ) or 
		die( 'Could not select database '. $gaSql['db'] );
	
	
	/* 
	 * Paging
	 */
	$sLimit = "";
	if ( isset( $_GET['iDisplayStart'] ) && $_GET['iDisplayLength'] != '-1' )
	{
		$sLimit = "LIMIT ".mysql_real_escape_string( $_GET['iDisplayStart'] ).", ".
			mysql_real_escape_string( $_GET['iDisplayLength'] );
	}
	
	
	/*
	 * Ordering
	 */
	if ( isset( $_GET['iSortCol_0'] ) )
	{
		$sOrder = "ORDER BY  ";
		for ( $i=0 ; $i<intval( $_GET['iSortingCols'] ) ; $i++ )
		{
			if ( $_GET[ 'bSortable_'.intval($_GET['iSortCol_'.$i]) ] == "true" )
			{
				$sOrder .= $aColumns[ intval( $_GET['iSortCol_'.$i] ) ]."
				 	".mysql_real_escape_string( $_GET['sSortDir_'.$i] ) .", ";
			}
		}
		
		$sOrder = substr_replace( $sOrder, "", -2 );
		if ( $sOrder == "ORDER BY" )
		{
			$sOrder = "";
		}
	}
	
	
	/* 
	 * Filtering
	 * NOTE this does not match the built-in DataTables filtering which does it
	 * word by word on any field. It's possible to do here, but concerned about efficiency
	 * on very large tables, and MySQL's regex functionality is very limited
	 */
	$search_category = $_GET['search_category'];
	
	$srch = $_GET['sSearch'];
	$cdate = $_REQUEST["cdate"];
	$edate = $_REQUEST["edate"];
	
	
	
	$sWhere = "WHERE sku_date between str_to_date('$cdate','%d/%m/%Y') and str_to_date('$edate','%d/%m/%Y')";
	
	
	if ( $_GET['sSearch'] != "" )
	{
$sWhere .= " AND (sku_date like '%$srch%' OR sku_serial like '%$srch%' OR order_no like '%$srch%' OR externreceiptkey like '%$srch%' OR storekey like '%$srch%' OR documenttype like '%$srch%' OR quantity like '%$srch%' OR syncstatus like '%$srch%') ";
		
	}
	
	
	/* Individual column filtering */
	for ( $i=0 ; $i<count($aColumns) ; $i++ )
	{
		if ( $_GET['bSearchable_'.$i] == "true" && $_GET['sSearch_'.$i] != '' )
		{
			if ( $sWhere == "" )
			{
				$sWhere = "WHERE ";
			}
			else
			{
				$sWhere .= " AND ";

			}
			$sWhere .= $aColumns[$i]." LIKE '%".mysql_real_escape_string($_GET['sSearch_'.$i])."%' ";
		}
	}
	
	
	/*
	 * SQL queries
	 * Get data to display
	 */
	$sQuery = "
		SELECT SQL_CALC_FOUND_ROWS ".str_replace(" , ", " ", implode(", ", $aColumns))."
		FROM   $sTable
		$sWhere
		$sOrder
		$sLimit
	";
	$rResult = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());
	
	/* Data set length after filtering */
	$sQuery = "
		SELECT FOUND_ROWS()
	";
	$rResultFilterTotal = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());
	$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);
	$iFilteredTotal = $aResultFilterTotal[0];
	
	/* Total data set length */
	$sQuery = "
		SELECT COUNT(".$sIndexColumn.")
		FROM   $sTable
	";
	$rResultTotal = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());
	$aResultTotal = mysql_fetch_array($rResultTotal);
	$iTotal = $aResultTotal[0];
	
	
	/*
	 * Output
	 */
	$output = array(
		"sEcho" => intval($_GET['sEcho']),
		"iTotalRecords" => $iTotal,
		"iTotalDisplayRecords" => $iFilteredTotal,
		"aaData" => array()
	);
	
	while ( $aRow = mysql_fetch_array( $rResult ) )
	{
		$row = array();
		for ( $i=0 ; $i<count($aColumns) ; $i++ )
		{
		
		
		   
		    $product_query = mysql_query( "SELECT
  picklist_status,
	count( DISTINCT customer_order_number ) AS custno,
	( SELECT count( DISTINCT customer_order_id ) FROM `customer_order` WHERE picklist_id = '{$aRow[ $aColumns[6] ]}' AND customer_order_id != '' ) AS custid 
FROM
	`customer_order` 
	left join picklist_master on picklist_master.picklist_id = customer_order.picklist_id
WHERE
	customer_order.picklist_id = '{$aRow[ $aColumns[6] ]}'", $gaSql['link'] ) or die(mysql_error());
					$product_run = mysql_fetch_assoc($product_query);
					$custno = $product_run['custno'];
					$custid = $product_run['custid'];
					$picklist_status = $product_run['picklist_status'];
					
					
		     if( $aColumns[$i] == "syncstatus")
			{
				//query for product details 
				
				if($aRow[ $aColumns[10]] == '1'){
				$cnlistss = "1";	
				}
				else{
				$cnlist = "<a href='javascript:void(0);' onclick='PostedStr(\"".$aRow[ $aColumns[3] ]."\",\"".$aRow[ $aColumns[4] ]."\",event);' title='Post Str'>Post Str</a>";	
				}
				
				$row[] = $cnlistss;	
			
			}
			
			else if( $aColumns[$i] == "responsestr")
			{
				//query for product details
				
					if($aRow[ $aColumns[11] ] == '0'){
					$cnlist = "<a href='javascript:void(0);' onclick='ReceivedStr(\"".$aRow[ $aColumns[3] ]."\",\"".$aRow[ $aColumns[4] ]."\",event);' title='Received Str'>Received Str</a>";
				}else{
				
				   $cnlist = 'Received';	
				}
				
				$row[] = $cnlist;	
			
			}
			
			else if( $aColumns[$i] == "printstr")
			{
				if($aRow[ $aColumns[3] ] == 0){
					$cnlists = "<a href='javascript:void(0);' onclick='PrintStr(\"".$aRow[ $aColumns[4] ]."\",event);' title='PrintStr'>Print Str</a>";
				}
				
				$row[] = $cnlists;	
						
					 
			
			}
			
			else if( $aColumns[$i] == "movestr")
			{
				
				if($aColumns[$i] == 0){
					
					if($aRow[ $aColumns[5]] == '9221110W'){
					$cnlist = "<a href='javascript:void(0);' onclick='MovedStr(\"".$aRow[ $aColumns[4] ]."\",event);' title='Move Str to Int'>Move Str to Int</a>";
					}else{$cnlist = '';}
				}
				
				$row[] = $cnlist;	
			
			}
			
			else if( $aColumns[$i] == "emailstr")
			{
				
					$cnlist = "<a href='javascript:void(0);' onclick='EmailStr(\"".$aRow[ $aColumns[4] ]."\", event);' title='Email Str'>Open Str</a>";
				
				$row[] = $cnlist;	
			
			}
			
			
			
			else
			
			 if ( $aColumns[$i] != ' ')
			{
				
				$row[] = $aRow[ $aColumns[$i] ];
			}
		}
		$output['aaData'][] = $row;
	}
	
	echo json_encode( $output );
?>