<?php
//	error_reporting(0);
    
/*	$aColumns = array('CNNO','CN_DATE','CON_NAME','DEST_CITY');
	 
    $sIndexColumn = "CNNO";
     
    $sTable = "CNB_CUSTOMER";
 */    

	include("../inc/repcon.php");

    /** Paging **/
    $sLimit = "";
    if ( isset( $_GET['iDisplayStart'] ) && $_GET['iDisplayLength'] != '-1' ){
        $sLimit = "WHERE  rowsNumerator BETWEEN :iDisplayStart AND :iDisplayEnd";
    }
     
    /** Ordering **/
    if ( isset( $_GET['iSortCol_0'] ) ){
        $sOrder = "ORDER BY ";
         
        //Go over all sorting cols
        for ( $i=0 ; $i<intval( $_GET['iSortingCols'] ) ; $i++ ){
            //If need to sort by current col
            if ( $_GET[ 'bSortable_'.intval($_GET['iSortCol_'.$i]) ] == "true" ){
                //Add to the order by clause
                $sOrder .= $aColumns[ intval( $_GET['iSortCol_'.$i] ) ];
                 
                //Determine if it is sorted asc or desc
                if (strcasecmp(( $_GET['sSortDir_'.$i] ), "asc") == 0){
                    $sOrder .=" asc, ";
                	}
				else{$sOrder .=" desc, ";}
            }
        }
         
        //Remove the last space / comma
        $sOrder = substr_replace( $sOrder, "", -2 );
         
        //Check if there is an order by clause
        if ( $sOrder == "ORDER BY" ){$sOrder = "ORDER BY ".$sIndexColumn;}
    }

	$nWhereGenearalCount = 0;
    if (isset($_GET['sSearch'])){$sWhereGenearal = $_GET['sSearch']; }
    else{$sWhereGenearal = '';}
 
    if ( $_GET['sSearch'] != "" ){
        $sWhere = " WHERE (";
        for ( $i=0 ; $i<count($aColumns)+1 ; $i++ ){
            //If current col has a search param
            if ( $_GET['bSearchable_'.$i] == "true" ){
                //Add the search to the where clause
                $sWhere .= $aColumns[$i]." LIKE '%".$_GET['sSearch']."%' OR ";
                $nWhereGenearalCount += 1;
            	}
        	}
        $sWhere = substr_replace( $sWhere, "", -3 );
        $sWhere .= ')';
    	}
     
    /* Individual column filtering */
    $sWhereSpecificArray = array();
    $sWhereSpecificArrayCount = 0;
    for ( $i=0 ; $i<count($aColumns) ; $i++ ){
        if ( $_GET['bSearchable_'.$i] == "true" && $_GET['sSearch_'.$i] != '' ){
            //If there was no where clause
            if ( $sWhere == "" ){$sWhere = "WHERE ";}
            else{$sWhere .= " AND ";}
             
            //Add the clause of the specific col to the where clause
            $sWhere .= $aColumns[$i]." LIKE '%' || :whereSpecificParam".$sWhereSpecificArrayCount." || '%' ";
             
            //Inc sWhereSpecificArrayCount. It is needed for the bind var.
            //We could just do count($sWhereSpecificArray) - but that would be less efficient.
            $sWhereSpecificArrayCount++;
             
            //Add current search param to the array for later use (binding).
            $sWhereSpecificArray[] =  $_GET['sSearch_'.$i];
	        }
	    }
     
    //If there is still no where clause - set a general - always true where clause
    if ( $sWhere == "" ){
		$sWhere = "WHERE 1=1";
		}
	
	if($sWhereuser!=''){$sWhere .= " AND {$sWhereuser} ";}
		
    $sQueryInner = "SELECT ".implode(', ', $aColumns).", row_number() over (".$sOrder.") rowsNumerator FROM   ".$sTable." ".$sWhere;
    $sQueryFinal = "SELECT ".implode(', ', $aColumns)." FROM (".$sQueryInner.") qry ".$sLimit." ORDER BY rowsNumerator";
     
    /* Data set length after filtering */
    $sQueryFinalCount = "SELECT COUNT(*) as \"totalRowsCount\" FROM (".$sQueryInner.") qry";
     
    $iFilteredTotal = 0;
     
    /* Total data set length */
    $sQueryTotalCount = "SELECT COUNT(".$sIndexColumn.") as \"totalRowsCount\" FROM  ".$sTable;
 
 	
    //Create Statments
    $statmntFinal = oci_parse($conn, $sQueryFinal);
    $statmntFinalCount = oci_parse($conn, $sQueryFinalCount);
    $statmntTotalCount = oci_parse($conn, $sQueryTotalCount);

    //Bind variables.
     
    if ( isset( $_GET['iDisplayStart'] ))
    {
        $dsplyStart = $_GET['iDisplayStart'];
    }
    else{
        $dsplyStart = 0;
    }
     
    if ( isset( $_GET['iDisplayLength'] ) && $_GET['iDisplayLength'] != '-1' )
    {
        $dsplyRange = $_GET['iDisplayLength'];
        if ($dsplyRange > (2147483645 - intval($dsplyStart)))
        {
            $dsplyRange = 2147483645;
        }
        else
        {
            $dsplyRange = intval($dsplyStart) +  intval($dsplyRange);
        }
    }
    else
    {
        $dsplyRange = 2147483645;
    }
     
    //Bind variables of number of rows to fetch.
    oci_bind_by_name($statmntFinal, ':iDisplayStart', $dsplyStart);
    oci_bind_by_name($statmntFinal, ':iDisplayEnd', $dsplyRange);
 
    //Bind all variables of general search
    for ( $i = 0 ; $i < $nWhereGenearalCount ; $i++ )
    {
        oci_bind_by_name($statmntFinal, ':whereParam'.$i , $sWhereGenearal);
        oci_bind_by_name($statmntFinalCount, ':whereParam'.$i , $sWhereGenearal);
    }
     
    //Bind all variables of specific search
    for ( $i = 0 ; $i < count($sWhereSpecificArray) ; $i++ )
    {
        oci_bind_by_name($statmntFinal, ':whereSpecificParam '.$i , $sWhereSpecificArray[$i]);
        oci_bind_by_name($statmntFinalCount, ':whereSpecificParam '.$i , $sWhereSpecificArray[$i]);
    }
     
     
    //Execute selects
    oci_execute($statmntTotalCount);
    $iTotal = 0;
    while ($row = oci_fetch_array($statmntTotalCount, OCI_ASSOC))
    {
        $iTotal = $row['totalRowsCount'];
    }
    oci_free_statement($statmntTotalCount);
             
    oci_execute($statmntFinalCount);
    $iFilteredTotal = 0;
    while ($row = oci_fetch_array($statmntFinalCount, OCI_ASSOC))
    {
        $iFilteredTotal = $row['totalRowsCount'];
    }
    oci_free_statement($statmntFinalCount);
     
    /*
     * Output
     */
    $output = array(
        "sEcho" => intval($_GET['sEcho']),
        "iTotalRecords" => $iFilteredTotal,
        "iTotalDisplayRecords" => $iFilteredTotal,
        "aaData" => array()
		);
     
    oci_execute($statmntFinal);
     
    while ( $aRow = oci_fetch_array($statmntFinal, OCI_ASSOC) ){
        $row = array();
        for ( $i=0 ; $i<count($aColumns) ; $i++ ){
            if ( $aColumns[$i] == "HAWB" ){
                /* Special output formatting for 'version' column */
                $row[] = $aRow[ $aColumns[$i] ]." <br> <a href='javascript:void(0)' onclick='printinv(\"{$aRow[ $aColumns[$i] ]}\")'> Print Invoice</a>";
				//$row[] = ($aRow[ $aColumns[$i] ]=="0") ? '-' : $aRow[ $aColumns[$i] ];
            	}
            else if ( $aColumns[$i] != ' ' ){
                /* General output */
                $row[] = $aRow[ $aColumns[$i] ];
            	}
        	}
        $output['aaData'][] = $row;
    	}
 
    oci_free_statement($statmntFinal);
     
    oci_close($conn);
 
    echo json_encode( $output );
?>