#! /usr/bin/python
import cgitb
import cgi
import urllib
import urllib2
import requests
import pymysql
import os
import xlsxwriter
from datetime import datetime
cgitb.enable()


print "Content-type: text/html\n\n"
conn = pymysql.connect(host='localhost', port=3306, user='wmskhaadi', passwd='P@kistan', db='blueex_wmsbluekhaadi')
cur = conn.cursor()
now = datetime.now()
dt = now.strftime("%Y-%m-%d%H:%M:%S")
file = "TrackReportDate"+dt+".xlsx"
filepath = "excelfile/" + file
qs = os.environ.get("QUERY_STRING", "No Query String in url")
parsed = cgi.parse_qs(qs)
startdate  = parsed['startdate'][0]
enddate  = parsed['enddate'][0]

workbook = xlsxwriter.Workbook(filepath)
worksheet = workbook.add_worksheet()

# Add a bold format to use to highlight cells.
bold = workbook.add_format({'bold': True})

# Add a number format for cells with money.
date_columns = workbook.add_format({'num_format': 'mm/dd/yyyy'})
date_column = workbook.add_format({'num_format': 'mm/dd/yyyy hh:mm:ss AM/PM'})

# Write some data headers.
worksheet.write('A1','ORDER DATE',bold)
worksheet.write('B1','MAGENTO  PLACED DATE',bold)
worksheet.write('C1','ORDER NUMBER',bold)
worksheet.write('D1','CN NO',bold)
worksheet.write('E1','Courier Name',bold)
worksheet.write('F1','3PL TRACKING STATUS',bold)
worksheet.write('G1','SHIP CITY',bold)
worksheet.write('H1','STATUS',bold)
worksheet.write('I1','DISPATCH DATE',bold)
worksheet.write('J1','DISPATCH TIME',bold)
worksheet.write('K1','DIFF',bold)

qry = "SELECT order_date,magento_ordertime,customer_order_number,customer_order_id,courier_name,tracking_status,customer_ship_city,status,insert_date,datatime,dispatchtime from track_view WHERE order_date between str_to_date('"+str(startdate)+"','%d/%m/%Y') and str_to_date('"+str(enddate)+"','%d/%m/%Y')  ORDER BY order_date ASC "
cur.execute(qry)
res = cur.fetchall()
# Start from the first cell below the headers.
row = 1
col = 0
for result in res:
	worksheet.write(row,col,result[0],date_columns)
	col += 1
	worksheet.write(row,col,result[1],date_column)
	col += 1
	worksheet.write(row,col,result[2])
	col += 1
	worksheet.write(row,col,result[3])
	col += 1
	worksheet.write(row,col,result[4])
	col += 1
	worksheet.write(row,col,result[5])
	col += 1
	worksheet.write(row,col,result[6])
	col += 1
	worksheet.write(row,col,result[7])
	col += 1
	worksheet.write(row,col,result[8],date_columns)
	col += 1
	worksheet.write(row,col,result[9],date_columns)
	col += 1
	worksheet.write(row,col,result[10])
	row += 1
	col = 0

workbook.close()
print file

cur.close()
conn.close()
