<?php

	if(!isset($_SESSION)) {session_start();}

	/*

	 * Script:    DataTables server-side script for PHP and MySQL

	 * Copyright: 2010 - Allan Jardine

	 * License:   GPL v2 or BSD (3-point)

	 */

	

	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	 * Easy set variables

	 */

	

	/* Array of database columns which should be read and sent back to DataTables. Use a space where

	 * you want to insert a non-database field (for example a counter or static image)

	 */

	$aColumns = array( 

		"cn_serial",

		"cnno",
		
		"receive_uplaod_date",

		"receiver_name",

		"logistic_name",

		"sender_name",

		"sheet_date"

		

	);


//$aColumnsFilter = array( 'product_code', 'product_ref',  'product_name', 'product_price', 'product_sale_price');

	

	/* Indexed column (used for fast and accurate table cardinality) */

	$sIndexColumn = "id";

	

	/* DB table to use */

	$sTable = "receiver_upload_log";

	

	/* Database connection information */

	include("repcon.php");

	

	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	 * If you just want to use the basic configuration for DataTables with PHP server-side, there is

	 * no need to edit below this line

	 */

	

	/* 

	 * MySQL connection

	 */

	$gaSql['link'] =  mysql_pconnect( $gaSql['server'], $gaSql['user'], $gaSql['password']  ) or

		die( 'Could not open connection to server' );

	

	mysql_select_db( $gaSql['db'], $gaSql['link'] ) or 

		die( 'Could not select database '. $gaSql['db'] );

	/* 

	 * Paging

	 */

	$sLimit = "";

	if ( isset( $_GET['iDisplayStart'] ) && $_GET['iDisplayLength'] != '-1' )

	{

		$sLimit = " LIMIT ".mysql_real_escape_string( $_GET['iDisplayStart'] ).", ".

			mysql_real_escape_string( $_GET['iDisplayLength'] );

	}

	/*

	 * Ordering

	 */
	

	if ( isset( $_GET['iSortCol_0'] ) )

	{

		$sOrder = "ORDER BY  ";

		for ( $i=0 ; $i<intval( $_GET['iSortingCols'] ) ; $i++ )

		{

			if ( $_GET[ 'bSortable_'.intval($_GET['iSortCol_'.$i]) ] == "true" )

			{

				$sOrder .= $aColumns[ intval( $_GET['iSortCol_'.$i] ) ]."

				 	".mysql_real_escape_string( $_GET['sSortDir_'.$i] ) .", ";

			}

		}

		

		$sOrder = substr_replace( $sOrder, "", -2 );

		if ( $sOrder == "ORDER BY" )

		{

			$sOrder = "";

		}

	}

	

	

	/* 

	 * Filtering

	 * NOTE this does not match the built-in DataTables filtering which does it

	 * word by word on any field. It's possible to do here, but concerned about efficiency

	 * on very large tables, and MySQL's regex functionality is very limited

	 */

	$search_category = $_GET['search_category'];

	$srch = $_GET['sSearch'];

	$cdate = $_REQUEST["cdate"];

	$edate = $_REQUEST["edate"];

	$sWhere = "WHERE receive_uplaod_date between str_to_date('$cdate','%d/%m/%Y') and str_to_date('$edate','%d/%m/%Y')";

	if ( $_GET['sSearch'] != "" )

	{

	$sWhere .= " AND (receive_uplaod_date like '%$srch%' OR cnno like '%$srch%' OR receiver_name like '%$srch%' OR logistic_name like '%$srch%' OR sender_name like '%$srch%' OR cn_serial like '%$srch%' OR sheet_date like '%$srch%' OR sheetno like '%$srch%') ";

	}


	/* Individual column filtering */

	for ( $i=0 ; $i<count($aColumns) ; $i++ )

	{

		if ( $_GET['bSearchable_'.$i] == "true" && $_GET['sSearch_'.$i] != '' )

		{

			if ( $sWhere == "" )

			{

				$sWhere = "WHERE ";

			}

			else

			{

				$sWhere .= " AND ";

			}

			$sWhere .= $aColumns[$i]." LIKE '%".mysql_real_escape_string($_GET['sSearch_'.$i])."%' ";

		}

	}
	

	/*

	 * SQL queries

	 * Get data to display

	 */

	// $sQuery = "

	// 	SELECT SQL_CALC_FOUND_ROWS ".str_replace(" , ", " ", implode(", ", $aColumns))."

	// 	FROM   $sTable

	// 	$sWhere

	// 	$sOrder

	// 	$sLimit

	// ";

	$sQuery = "
	SELECT SQL_CALC_FOUND_ROWS id, receive_uplaod_date, cnno, receiver_name, logistic_name, sender_name, sheet_date,  cn_serial FROM ".$sTable."
			";
	$sQuery.=" ";
	$sQuery.=$sWhere;
	$sQuery.=" ";
	$sQuery.=$sOrder;
	$sQuery.=" ";
	$sQuery.=$sLimit;
// echo($sQuery);
	$rResult = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());

	

	/* Data set length after filtering */

	$sQuery = "

		SELECT FOUND_ROWS()

	";

	$rResultFilterTotal = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());

	$aResultFilterTotal = mysql_fetch_array($rResultFilterTotal);

	$iFilteredTotal = $aResultFilterTotal[0];

	

	/* Total data set length */

	$sQuery = "

		SELECT COUNT(".$sIndexColumn.")

		FROM   $sTable

	";

	$rResultTotal = mysql_query( $sQuery, $gaSql['link'] ) or die(mysql_error());

	$aResultTotal = mysql_fetch_array($rResultTotal);

	$iTotal = $aResultTotal[0];

	/*

	 * Output

	 */

	$output = array(

		"sEcho" => intval($_GET['sEcho']),

		"iTotalRecords" => $iTotal,

		"iTotalDisplayRecords" => $iFilteredTotal,

		"aaData" => array()

	);

	

	while ( $aRow = mysql_fetch_array( $rResult ) )

	{

		$row = array();

		for ( $i=0 ; $i<count($aColumns) ; $i++ )

		{

		

		//     if( $aColumns[$i] == "bincount")

		// 	{

		// 		//query for product details 

		// 		     // $pickc = "<span style='background-color:green,color:white'>".(($product_run['order_count']))."</span>";

		// 		       $row[] = $pickc;

		// 	}

		// else

			

			 if ( $aColumns[$i] != ' ')

			{

				$row[] = $aRow[ $aColumns[$i] ];

			}

		 }

		$output['aaData'][] = $row;

	}

	echo json_encode( $output );

?>