<script type="text/javascript">

	$(document).ready(function(){

		$("#export").click(function(){

			export_table_to_csv('sku_report.csv','rep');
		});

		$("#export2").click(function(){

			export_table_to_csv('order_report.csv','rep2');
		});

			function download_csv(csv, filename) {
			var csvFile;
			var downloadLink;

			// CSV FILE
			csvFile = new Blob([csv], {type: "text/csv"});

			// Download link
			downloadLink = document.createElement("a");

			// File name
			downloadLink.download = filename;

			// We have to create a link to the file
			downloadLink.href = window.URL.createObjectURL(csvFile);

			// Make sure that the link is not displayed
			downloadLink.style.display = "none";

			// Add the link to your DOM
			document.body.appendChild(downloadLink);

			// Lanzamos
			downloadLink.click();
		}

		function export_table_to_csv(filename, id) {
			var csv = [];
			var rows = document.querySelectorAll("#"+id+" tr");
			
			for (var i = 0; i < rows.length; i++) {
				var row = [], cols = rows[i].querySelectorAll("td, th");
				
				for (var j = 0; j < cols.length; j++) 
					row.push(cols[j].innerText);
				
				csv.push(row.join(","));		
			}

			// Download CSV
			download_csv(csv.join("\n"), filename);
		}


		$("#report").click(function(){
			var report_no=1;
			var search_sku="";
			if($("#search").val() != ''){
				search_sku=$("#search").val();
			}

			$("#rep").dataTable().fnClearTable();
			// console.log("absb");
			$.get("pgs/dpg.php",{pg:"51",search: search_sku,report: report_no}, function(data){
 
				//console.log(data);
				$(data).find("row").each(function(){

						$("#rep").dataTable().fnAddData([

								$(this).children(":first-child").text(), 

								$(this).children(":nth-child(2)").text(),

								$(this).children(":nth-child(3)").text(),

								 $(this).children(":nth-child(4)").text()
					
						

						]);

					 

				});					

				$("#rep").dataTable();

			});

		

		});


		$("#report2").click(function(){
			var report_no=2;
			var customer_order_id= $("#customer_order_id").val();
			var order_status= $("#order_status").val();
			var void_status= $("#void_status").val();
			var hold_order= $("#hold_order").val();
			var outOfStock_status= $("#outOfStock_status").val();
			var pickListCount= $("#pickListCount").val();
			var pickListId= $("#pickListId").val();
			var cdate= $("#cdate").val();
			var edate= $("#edate").val();
		
			$("#rep2").dataTable().fnClearTable();
			// console.log("absb");
			$.get("pgs/dpg.php",{pg:"51",
				report: report_no,
				c_order_id: customer_order_id,
				order_status:order_status,
				void_status:void_status,
				hold_order:hold_order,
				outOfStock_status:outOfStock_status,
				pickListCount:pickListCount,
				pickListId:pickListId,
				cdate:cdate,
				edate:edate
            }, function(data){
 
				console.log(data);
				$(data).find("row").each(function(){

						$("#rep2").dataTable().fnAddData([

								$(this).children(":first-child").text(), 

								$(this).children(":nth-child(2)").text(),

								$(this).children(":nth-child(3)").text(),

								$(this).children(":nth-child(4)").text(),

								$(this).children(":nth-child(5)").text(),

								$(this).children(":nth-child(6)").text(),

								$(this).children(":nth-child(7)").text(),

								$(this).children(":nth-child(8)").text(),

								$(this).children(":nth-child(9)").text(),

								$(this).children(":nth-child(10)").text(),

								$(this).children(":nth-child(11)").text(),

								$(this).children(":nth-child(12)").text(),

								$(this).children(":nth-child(13)").text(),

								$(this).children(":nth-child(14)").text()
					
						

						]);

					 

				});					

				$("#rep2").dataTable();

			});
			

		});

	});

</script>


<div id="content" class="xfluid">

	<div class="portlet x8" style="cursor:pointer;">

		<div class="portlet-header"><h4>Criteria Selection.</h4></div>

		<div class="portlet-content">

			<form id="frm" class="form label-inline" onsubmit="return false;">

				

                <div class="field">
				    
					<label for="search">Search : </label> 
					<textarea id="search" name="search" class="small" rows="5" cols="50" data-role="tagsinput" placeholder="Enter SKU ID separated by comma(,) :" ></textarea>
		
				</div>


				<div class="buttonrow">

					<button class="btn-icon btn-small btn-print" id="report"><span></span>Get Report</button>
					<button class="btn-icon btn-small btn-print" id="export" onclick="export_table_to_csv('report.csv','export')"><span></span>Export Report</button>


				</div>

			</form>	

				

		</div>

	</div>

			

	<div class="portlet x12" style="cursor:pointer;">

		<div class="portlet-header"><h4>SKU Report</h4></div>

			<div class="portlet-content">

				<table cellpadding="0" cellspacing="0" border="0" class="display" id="rep">

					<thead>

						<tr>

							<th>SKU</th>

							<th>Bin Id</th>

							<th>Total Sku </th>

							<th>Order Qty </th>

						</tr>

					</thead>

					<tbody>

					</tbody>

				</table>

		</div>

	</div>

	<!-- Second Report -->

	<div class="portlet x8" style="cursor:pointer;">

		<div class="portlet-header"><h4>Criteria Selection.</h4></div>

		<div class="portlet-content">

			<form id="frm2" class="form label-inline" onsubmit="return false;">

				<div class="field">

						<label for="cdate">Start Date :</label>

						<input type="date" id="cdate" name="cdate" date_format="yyyy-dd-mm"   class="medium" />

				</div>

				<div class="field">

					<label for="rdate">End Date : </label> 

					<input type="date" id="edate" name="edate" date_format="yyyy-dd-mm"   class="medium" />
				</div>

                <div class="field">
				    
					<label for="customer_order_id">Customer Order Id: </label> 
					<select id="customer_order_id" name="customer_order_id" style="width:300px">

						<option value="0">Not Generated</option>

						<option value="1">Generated</option>

					</select>
				</div>

				

				<div class="field">

					<label for="order_status">Order Status :</label>

					<select id="order_status" name="order_status" style="width:300px">

						<option value="0">Not Complete</option>

						<option value="1">Complete</option>

					</select>

				</div>

				<div class="field">

					<label for="void_status">Void Status :</label>

					<select id="void_status" name="void_status" style="width:300px">

						<option value="0">Not Cancel</option>

						<option value="1">Canceled</option>

					</select>

				</div>

				<div class="field">

					<label for="hold_order">Hold Order :</label>

					<select id="hold_order" name="hold_order" style="width:300px">

						<option value="0">No</option>

						<option value="1">Yes</option>

					</select>

				</div>

				<div class="field">

					<label for="outOfStock_status">Out Of Stock Status :</label>

					<select id="outOfStock_status" name="outOfStock_status" style="width:300px">

						<option value="0">No</option>

						<option value="1">Yes</option>

					</select>

				</div>

				<div class="field">

					<label for="pickListCount">Pick List Count  :</label>

					<select id="pickListCount" name="pickListCount" style="width:300px">

						<option value="<">less than</option>

						<option value=">">greater than</option>

					</select>

				</div>

				<div class="field">

					<label for="pickListId">Pick List Id :</label>

					<select id="pickListId" name="pickListId" style="width:300px">

						<option value="">Select</option>

						<option value="NULL">NULL</option>

						<option value="NOT NULL">NOT NULL</option>

					</select>

				</div>

				<div class="buttonrow">

					<button class="btn-icon btn-small btn-print" id="report2"><span></span>Get Report</button>
					<button class="btn-icon btn-small btn-print" onclick="export_table_to_csv('order_report.csv','export2')" id="export2"><span></span>Export Report</button>

				</div>

			</form>	

				

		</div>

	</div>

			

	<div class="portlet x12" style="cursor:pointer;">

		<div class="portlet-header"><h4>Order Report</h4></div>

			<div class="portlet-content">

				<table cellpadding="0" cellspacing="0" border="0" class="display" id="rep2">

					<thead>

						<tr>
						

							<th>Order Date</th>

							<th>Customer Order No.</th>

							<th>Customer Order Id</th>

							<th>CodAmount</th>

							<th>Check Amount</th>

							<th>Payment Type</th>

							<th>Order Count</th>

							<th>Pick List Count</th>

							<th>Pick List Id</th>

							<th>Order Status</th>

							<th>Void Status</th>

							<th>Out of Stock Status</th>

							<th>Hold Order</th>

							<th>Magento Order Id</th>

						</tr>

					</thead>

					<tbody>

					</tbody>

				</table>

		</div>

	</div>
</div>
