#! /usr/bin/python
import cgitb
import cgi
import urllib
import urllib2
import requests
import pymysql
import os
import xlsxwriter
from datetime import datetime
cgitb.enable()


print "Content-type: text/html\n\n"
conn = pymysql.connect(host='localhost', port=3306, user='blueix_chapter2dbuser', passwd='ud!WxRH7tB', db='blueix_chapter2db')
cur = conn.cursor()
now = datetime.now()
dt = now.strftime("%Y-%m-%d%H:%M:%S")
file = "OrderReportDate"+dt+".xlsx"
filepath = "excelfile/" + file
qs = os.environ.get("QUERY_STRING", "No Query String in url")
parsed = cgi.parse_qs(qs)
startdate  = parsed['startdate'][0]
enddate  = parsed['enddate'][0]

workbook = xlsxwriter.Workbook(filepath)
worksheet = workbook.add_worksheet()

# Add a bold format to use to highlight cells.
bold = workbook.add_format({'bold': True})

# Add a number format for cells with money.
date_column = workbook.add_format({'num_format': 'mm/dd/yyyy hh:mm:ss AM/PM'})

# Write some data headers.
worksheet.write('A1','ORDER DATE',bold)
worksheet.write('B1','TRACKING NUMBER',bold)
worksheet.write('C1','ORDER NUMBER',bold)
worksheet.write('D1','CUSTOMER NAME',bold)
worksheet.write('E1','CUSTOMER CITY',bold)
worksheet.write('F1','SKU ID',bold)
worksheet.write('G1','SKU NAME',bold)
worksheet.write('H1','PICKLIST ID',bold)
worksheet.write('I1','BIN TYPE',bold)
worksheet.write('J1','PAYMENT TYPE',bold)
worksheet.write('K1','COURIER NAME',bold)
worksheet.write('L1','COD AMOUNT',bold)
worksheet.write('M1','ORDER QTY',bold)
worksheet.write('N1','PICKLIST COUNT',bold)
worksheet.write('O1','ORDER STATUS',bold)
worksheet.write('P1','CANCEL STATUS',bold)
worksheet.write('Q1','DISPATCH STATUS',bold)
worksheet.write('R1','TRACKING STATUS',bold)
worksheet.write('S1','ORDER DATE TIME',bold)
worksheet.write('T1','ORDER ASSIGN TIME',bold)
worksheet.write('U1','ORDER COMPLETE TIME',bold)
worksheet.write('V1','ORDER SCAN TIME',bold)

qry = "SELECT order_date,customer_order_id,newno,removeSpacialChar(customer_billing_name) ,customer_bill_city,sku_id,sku_name,picklist_id,bintype,payment_type,courier_name,codamount,customer_order_quantity,bincount,order_status,cancel_status,dispatch_status,tracking_status,customer_order_date,order_assign_time,picklist_complete_time,scan_time FROM `orderlist_status_view` WHERE order_date between str_to_date('"+str(startdate)+"','%d/%m/%Y') and str_to_date('"+str(enddate)+"','%d/%m/%Y') ORDER BY order_date ASC "
cur.execute(qry)
res = cur.fetchall()
# Start from the first cell below the headers.
row = 1
col = 0
for result in res:
	worksheet.write(row, col,result[0])
	col += 1
	worksheet.write(row,col,result[1])
	col += 1
	worksheet.write(row,col,result[2])
	col += 1
	worksheet.write(row,col,result[3])
	col += 1
	worksheet.write(row,col,result[4])
	col += 1
	worksheet.write(row,col,result[5])
	col += 1
	worksheet.write(row,col,result[6])
	col += 1
	worksheet.write(row,col,result[7])
	col += 1
	worksheet.write(row,col,result[8])
	col += 1
	worksheet.write(row,col,result[9])
	col += 1
	worksheet.write(row,col,result[10])
	col += 1
	worksheet.write(row,col,result[11])
	col += 1
	worksheet.write(row,col,result[12])
	col += 1
	worksheet.write(row,col,result[13])
	col += 1
	worksheet.write(row,col,result[14])
	col += 1
	worksheet.write(row,col,result[15])
	col += 1
	worksheet.write(row,col,result[16])
	col += 1
	worksheet.write(row,col,result[17])
	col += 1
	worksheet.write(row,col,result[18],date_column)
	col += 1
	worksheet.write(row,col,result[19],date_column)
	col += 1
	worksheet.write(row,col,result[20],date_column)
	col += 1
	worksheet.write(row,col,result[21],date_column)
	row += 1
	col = 0

workbook.close()
print file

cur.close()
conn.close()
