<?php


date_default_timezone_set("Asia/Karachi");

include('../inc/dbobjx.php');
include dirname(__FILE__) . '../../sqlconfig.php';

$runQuery = new dbObj;
$magentolink = MAG_API_URL;



$qrysassign = "SELECT
	order_date,
	customer_order_number,
	ordercount,
	picklistcount,
	picklist_id,
	order_status,
	void_status,
	outofstock_status,
	hold_order,
	magento_orderid,
	payment_type
FROM
	(
	SELECT
		order_date,
		order_assign_time,
		order_status,
		void_status,
		outofstock_status,
		hold_order,
		customer_order_number,
		COUNT( DISTINCT ( `customer_order`.`customer_order_number` ) ),
		customer_order_id,
		picklist_id,
		magento_orderid,
		payment_type,
		SUM( `customer_order`.`customer_order_quantity` ) AS ordercount,
		( SELECT count( order_bintype ) AS order_count FROM `inward_detail` WHERE order_bintype = bintype AND picklist_id = customer_order.picklist_id ) AS picklistcount 
	FROM
		`customer_order` 
	GROUP BY
		customer_order_number 
	) t1 
WHERE
	order_date >= '2020-06-01' 
	AND order_status = 0 
	AND void_status = 0 
	AND picklistcount >= ordercount 
GROUP BY
	customer_order_number 
ORDER BY
	picklist_id";
	
	$rrr = $runQuery->RunQuery($qrysassign);
	$rses = simplexml_load_string($rrr);
    foreach ($rses as $rowscn) {
		
		$neworder = $rowscn->customer_order_number;
		$magento_orderid = $rowscn->magento_orderid;
		$picklist_id = $rowscn->picklist_id;
		
		echo $qryupd = "UPDATE customer_order SET order_status = '1' ,order_complete_time = NOW(), order_pack_time = NOW(),order_pack_status = 1 
		WHERE customer_order_number = '".$neworder."'";
		$rrupd = $runQuery->RunQuery($qryupd);
		if($rrupd == 1){
		echo 'fariha';	
		$sql = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id) VALUES (NOW(),'$neworder','OPC','Order Picked','admin','Web',NOW(),'$magento_orderid','" . $picklist_id . "')";
	           $resss = $runQuery->RunQuery($sql);
		}
		
		
	echo '<br/>';
	}


echo '---------------------------------------------------';

echo $qry = "SELECT
	CAST(datatime AS CHAR) AS datatime,
	ordercode,
	STATUS,
	status_text,
	magento_orderno,
	send_to_magento,
	(
	SELECT
		count( * ) AS cnt 
	FROM
		customer_order_status c1 
	WHERE
		c1.status = 'OPK' 
		AND c1.send_to_magento = '1' 
		and magento_orderno != ''
		AND c1.ordercode = customer_order_status.ordercode 
	) AS cnt 
FROM
	customer_order_status 
WHERE
	id >= '4383' 
	AND status = 'OPC' 
	AND send_to_magento = '0' 
	AND magento_orderno != ''
ORDER BY
	id ASC";



	$xres = simplexml_load_string($runQuery->RunQuery($qry));

	$count = count($xres);
	if($count >0){
	foreach($xres as $rowscn){
	
	  echo $ordercode = $rowscn->ordercode;
	  echo '<br/>';
		
		echo $cnt = $rowscn->cnt;
		if($cnt == 1){
         		echo $ordercode = $rowscn->ordercode;
		echo '<br/>' .$status_text = $rowscn->status_text;
		echo '<br/>' .$magento_orderno = $rowscn->magento_orderno;
		$datatime = $rowscn->datatime;
		echo '<br/>';
		echo $datatime;
		$given = new DateTime($datatime);
        $given->format("Y-m-d H:i:s");
		$given->setTimezone(new DateTimeZone("UTC"));
        $currentdate =  $given->format("Y-m-d H:i:s");
		
		echo $currentdate;
		
		$curl = curl_init();
		curl_setopt_array($curl, array(
  CURLOPT_URL => $magentolink."/rest/V1/statusupdate/".$magento_orderno,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 50,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => "{\n\"statusHistory\": \n[\n\n{\n\"comment\": \"".$status_text."\",\n\"status\": \"orderpicked\",\n\"datetime\": \"".$currentdate."\"\n}\n]\n}\n",
  CURLOPT_HTTPHEADER => array(
    "authorization: Bearer 93vt0eb7tidrw7jh8sj40xn1vkmhl87u",
    "cache-control: no-cache",
    "content-type: application/json",
    "postman-token: 664e0a1a-17ab-79a6-56d9-850cc72fce53"
  ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
	
  echo $response;
  echo '<br/>';

  if($response == true){
 $qryupd = "UPDATE customer_order_status SET send_to_magento = '1',send_to_magento_time = NOW() WHERE ordercode = '".$ordercode."' and status = 'OPC'"; 
$runQuery->RunQuery($qryupd);

  }
  
}
	
		}else{
			echo $response; }
			
	}


	}else{
	echo 'No Recoed Found';	
	}